<!DOCTYPE html>
<html xmlns:th="https://www.thymeleaf.org"
      xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
    <meta charset="EUC-KR">
    <title>admin</title>
</head>
<body>

<h1>Admin</h1>

<h3>Username: <span th:text="${#authentication.getPrincipal().getUsername()}"></span></h3>
<h3>Role: <span th:text="${#authentication.getPrincipal().authorities}"></span></h3>



<ul>
    <li><a th:href="@{/home}">Home</a></li>
    <li><a th:href="@{/about}">About</a></li>
    <li><a th:href="@{/contact}">contact</a></li>
    <li><a th:href="@{/e-banking}">E-Banking</a></li>

    <li sec:authorize="isAnonymous()">
        <a th:href="@{/login}">Login</a>
    </li>

    <li sec:authorize="isAuthenticated()">
        <a th:href="@{/logout}">Logout</a>
    </li>

</ul>


<hr/>


</body>
</html>